// Persistence of Vision Ray Tracer Scene Description File
// File: x_over.inc
// Vers: 3.5
// Desc: Macros that are cross-overs from several other includes
// Date: 03.28.02
// Auth: Tim Nikias Wenclawiak
// Requirements:
//  bsplines.inc

#ifndef (_bsplines_inc_tnw) #include "bsplines.inc" #end

#declare _x_over_inc_tnw=1; //For other includes to check if already included

/******************/
/*Connect_BSplines*/
/******************/
//Given two spline-arrays, x- and z-detail, the macro returns
//a 2D-Array that may be used with my mesh-macros
// Cross-Over from splines.inc and meshes.inc
#macro Connect_BSplines(_spl_1,_spl_2,_dX,_dZ)
 #local _dat_array=array[_dX][_dZ]
 #local Z=0;
 #while (Z<_dZ)
  #local _T_Pos = BSpline_Pos(_spl_1,Z/(_dZ-1));
  #local _S_Pos = BSpline_Pos(_spl_2,Z/(_dZ-1));
  #local X=0;
  #while (X<_dX)
   //X and Z coordinates
   #local _dat_array[X][Z]=_T_Pos-(_T_Pos-_S_Pos)*(X/(_dX-1));
  #local X=X+1;
  #end
 #local Z=Z+1;
 #end
 //Return the array
 _dat_array
#end


